import { Montserrat } from "next/font/google";
import "./globals.scss";
import Navbar from "@/Widgets/general/Navbar/Navbar";
import Footer from "@/Widgets/general/Footer/Footer";
import { Providers } from "./Providers";

const montserrat = Montserrat({ subsets: ["latin"] });

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body className={montserrat.className}>
        <Providers>
          <Navbar />
          {children}
          <Footer />
        </Providers>
      </body>
    </html>
  );
}
